staqlydocs
REST APIAPI referenceMedia

The workspace's brand kit for the design editor

The workspace's brand kit for the design editor (media:read)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/design/brand

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Response Body

Brand kit

application/json
  1. response

The design editor's brand kit, shared by the workspace

colors*array<>
Itemsitems <= 24
fonts*array<>

Names from the editor's font list

Itemsitems <= 6
logos*array<string>

Media ids of pictures in the library

Itemsitems <= 12
Example Request
curl -X GET 'https://staqly.example.com/v1/design/brand'
Example Response
{  "colors": [    "string"  ],  "fonts": [    "string"  ],  "logos": [    "string"  ]}